Themify Basic 2.0.2 を入れたらエラー出たので応急処置をする

2019/5/9 にリリースされた Themify Basic 2.0.2 を入れたらエラーが出たので応急処置をした。それのメモ。

ていうか旧バージョン落とせるようにしてくれよ。

  1. Themify Builder 4.5 Beta から「themify-beta.zip」をダウンロードする。
  2. 「themify-beta.zip」内の「themify-beta/themify」フォルダをサーバ上の「wp-content/themes/basic/themify」に上書きする。
  3. 「basic/themify/themify-builder/themify-builder.php」の以下の色付きの行を修正する。(このサイトではBuilderをOFFにしているので影響がない)
    「Builder_Optin_Services_Container」が見つからないとエラーになっているが原因を探すのがめんどくさいので、「Builder_Optin_Services_Container」を使用しないで空配列を渡してお茶を濁す。

これでとりあえずエラーは消えるしFont Awesomeのぶっ壊れもなおる(CDN使っている場合はキャッシュをクリアすること)。

もーほんと勘弁してよ。一体どんなテストしてんの?あと最初にも書いたけどせめて旧バージョンを落とせるようにしてほしい。